android socket file transfer

//emetteur

					File myFile = new File ("/sdcard/frostwire.apk");
                    byte [] mybytearray  = new byte [(int)myFile.length()];
                    FileInputStream fis = new FileInputStream(myFile);
                    BufferedInputStream bis = new BufferedInputStream(fis);
                    bis.read(mybytearray,0,mybytearray.length);
                    OutputStream os = client.getOutputStream();
                    System.out.println("Sending...");
                    serverStatus.setText("sending 123.exe...");
                    os.write(mybytearray,0,mybytearray.length);
                    os.flush();
                    client.close();
					
					
//recepteur					
					
					int filesize; // filesize temporary hardcoded
					long start = System.currentTimeMillis();
					int bytesRead;
					int current = 0;
					
					 byte [] mybytearray  = new byte [filesize];
            InputStream is = socket.getInputStream();
            FileOutputStream fos = new FileOutputStream("/sdcard/frostwire.apk");
            BufferedOutputStream bos = new BufferedOutputStream(fos);
            bytesRead = is.read(mybytearray,0,mybytearray.length);
            current = bytesRead;


			
			do {
               bytesRead =is.read(mybytearray, current, (mybytearray.length-current));
               if(bytesRead > 0)
               {
                    current += bytesRead;
               }
			} while(bytesRead > 0);

            bos.write(mybytearray, 0 , current);
            bos.flush();
            long end = System.currentTimeMillis();
            System.out.println(end-start);
            bos.close();
            socket.close();
			